> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /qqmusic/singers/search

> Browse the QQ Music artist directory by region, gender, genre and romanised initial

**Price:** 1 credit



## OpenAPI

````yaml /openapi/music.json post /api/qqmusic/singers/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/qqmusic/singers/search:
    post:
      tags:
        - /qqmusic
      summary: /qqmusic/singers/search
      description: >-
        Browse the QQ Music artist directory by region, gender, genre and
        romanised initial


        **Price:** 1 credit
      operationId: __api_qqmusic_singers_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QqmusicSingersSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/QqmusicSearchSinger'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    QqmusicSingersSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          maximum: 8000
          minimum: 1
        area:
          anyOf:
            - $ref: '#/components/schemas/QqmusicSingerArea'
            - type: 'null'
        gender:
          anyOf:
            - $ref: '#/components/schemas/QqmusicSingerGender'
            - type: 'null'
        genre:
          anyOf:
            - $ref: '#/components/schemas/QqmusicSingerGenre'
            - type: 'null'
        initial:
          anyOf:
            - type: string
              enum:
                - a
                - b
                - c
                - d
                - e
                - f
                - g
                - h
                - i
                - j
                - k
                - l
                - m
                - 'n'
                - o
                - p
                - q
                - r
                - s
                - t
                - u
                - v
                - w
                - x
                - 'y'
                - z
                - other
            - type: 'null'
      type: object
      required:
        - count
    QqmusicSearchSinger:
      properties:
        '@type':
          type: string
          default: QqmusicSearchSinger
        mid:
          type: string
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        translated_name:
          anyOf:
            - type: string
            - type: 'null'
        pinyin:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - mid
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    QqmusicSingerArea:
      type: string
      enum:
        - mainland_china
        - hong_kong_taiwan
        - western
        - japan
        - korea
    QqmusicSingerGender:
      type: string
      enum:
        - male
        - female
        - group
    QqmusicSingerGenre:
      type: string
      enum:
        - pop
        - rap
        - chinese_style
        - rock
        - electronic
        - folk
        - rnb
        - ethnic
        - light_music
        - jazz
        - classical
        - country
        - blues
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````